@import "dx.fluent.iplus-saas.css";


:root {
	--primary:		#1890D3;
	--primary-n:	#ffffff;

	--secondary: 	#042963;
	--primary-n:	#ffffff;

	--secondary-darker: #0f1a3c;
}

html, body {
	display: flex;
	flex-direction: column;
	width: 100%;
	height: 100vh;
	padding: 0;
	background-color: #efefef !important;
	margin: 0;
}
h1,h2,h3,h4,h5,h6,p,span {
	margin: 0;
	padding: 0;
}
/*NAVBAR*/
.navbar {
	display: flex;
	flex-direction: row;    
	background-color: rgba(191, 191, 191, 0.15);
}
.navbar-brand {
	display: flex;
    flex-direction: row;
    font-size: 2.5em;
    font-weight: bold;
    justify-content: flex-start;
    align-items: center;
    padding: 10px 20px;
}
.navbar-brand.center {
	margin: auto;
}
.navbar-itens {
	flex: 1;
	display: flex;    
}
.navbar-itens-start {
    display: flex;
    flex-direction: row;
    height: 100%;
}
.navbar-itens-end {
    display: flex;
    flex-direction: row;
    height: 100%;
    margin-left: auto;
}


/*SIDEMENU*/
.sidemenu {
	height: 100%;
    min-width: 300px;
    padding: 0 10px;
    background-color: #fff;
}
.sidemenu-brand {  
	text-align: center;
    font-size: 30px;
	font-weight: bold;
    padding: 15px 20px; 
    display: none;
}
.sidemenu-items {
	display: flex;
	flex-direction: column;
}
.sidemenu-title {
    padding: 10px;
    border-bottom: 1px solid #0000002b;
    color: #555555;
}


/*TABS*/
.tab-options {
	display: flex;
	padding: 0 5px 5px;
	background-color: rgba(191, 191, 191, 0.4);
	min-height: 40px;
	white-space: nowrap;
	overflow-x: auto;
}
.tab-options button {
	float: left;
	border: none;
	transition: 0.3s;
	font-size: 0.8em;
	border-bottom-right-radius: 7px;
	border-bottom-left-radius: 7px;
	display: flex;
	flex-direction: row;
	gap: 10px;
	align-items: center;
	padding: 10px;
	background-color: rgba(191, 191, 191, 0.4);
	margin-left: -1px;
}
.tab-options button span {
	cursor: pointer;
    text-transform: uppercase;
}
.tab-options button i {
	background: transparent;
	cursor: pointer;
}
.tab-options button i:hover{
	opacity: 0.8;
}
.tab-options button.active {
	background-color: var(--primary);
	color: var(--primary-n);
}
.tab-options button:hover {
	opacity: 0.8;
}
.tab-control {
	width: 100%;	
	flex: 1;
}
.tab-content {
	display: none;
	border: none;
	width: 100%;
	height: 100%;
}


/*SYSTEM*/
.sys-content {
	display: flex;
	flex-direction: column;
	margin: 0px;    
	height: 100%;
}
.sys-header {
	display: flex;
	flex-direction: row;
	align-items: center;
	padding: 15px 20px;
	box-shadow: inset 0px 0px 400px 110px rgb(0 0 0 / 20%);
	position: sticky;
    width: calc(100% - 40px);
    z-index: 1400	;
}
.dx-popup-content .sys-header { 
	padding: 10px;
	box-shadow: 0 6px 12px rgba(0,0,0,.175);
	background-color: #ffffff;
	width: 100%;
	/*box-shadow: none;
	position: static;
	border: 1px solid #0000001c;
	margin: 20px 20px 0;*/
}

.sys-header-title {
	font-weight: bold;
	display: flex;
	gap: 10px;
	flex-direction: row;
	align-items: center;
}


/*TOASTS*/
.toasts-panel {
	position: absolute;
    right: 0;
    top: 0;
    min-width: 20%;
    pointer-events: none;
}
.toast {
    position: absolute;
    font-size: 0.9em;
    border-radius: 5px;
    padding: 10px 20px;
    border: 1px solid #fff;
    transition: all 0.25s;
    -webkit-transition: all 0.25s;
    right: 20px;
    text-align: center;
	background-color: #000;
	color: #fff;
	z-index: 10000000000;
}


/*DIALOG*/
.dialog-panel {
	display: flex;
	background-color: #00000090;
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 200000;    
	justify-content: center;
    align-items: center;
}
.dialog {
	display: flex;
	flex-direction: column;
	padding: 20px;
	border-radius: 10px;
	background-color: #1c1c1c;
	color: #fff;
	border: 1px solid #9e9e9e;
	gap: 20px;
	z-index: 2000001;
}
.dialog-buttons {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-self: flex-end;
}
.dialog-buttons button {
	background-color: var(--primary);
	color: var(--primary-n);
	padding: 5px 10px;
	border: none;
	border-radius: 5px;

}
.modal-form {
	display: flex;
	flex-direction: column;
	padding: 20px;
	border-radius: 5px;
	background-color: var(--bg);
	color: var(--dialog-ft);
	border: 1px solid var(--dialog-bd);
	gap: 20px;
	z-index: 2000001;
	box-shadow: 0px 0px 20px 0px #000000;
}
.modal-form-close {
	cursor: pointer;
}
.modal-form-header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}


/*LOADER*/
.loader {
	display: block;
	background-color: #00000090;
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 10000000000;
}
.loader-img {
	border: 5px solid #f3f3f3; 
	border-top: 5px solid var(--primary);	
	border-radius: 50%;
	width: 50px;
	height: 50px;
	animation: spin 2s linear infinite;
	margin: auto;
	margin-top: 20%;
}
/* Safari */
@-webkit-keyframes spin { 
	0% { -webkit-transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); }
}
@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}

.form-container {
	padding: 20px;
	display: flex;
	flex-direction: column;
	gap: 20px;
	max-width: 600px;
	overflow-y: auto; 
}

.dx-popup-content  .form-container {
	max-width: 100%;
	/*margin: 20px 20px 0;
	height: calc(100% - 20px);*/
}

.form-container.center {
	align-self: center;
	width: 85%;
}
.img-cadastro {
    padding: 10px;
    width: 170px;
    height: 170px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
   	border-radius: 5px;
   	box-shadow: 0px 0px 13px -11px #000;
}

.ml-auto {
	margin-left: auto;
}
.mr-auto {
	margin-right: auto;	
}
.full {
	max-width: 100%;
	width: 100%;
	max-height: 100%;
	height: 100%;
}
.form-container.full {
	max-width: calc(100% - 40px) !important;
	max-height: calc(100% - 50px) !important;
} 
.form-content.full {
	max-width: calc(100% - 50px) !important;
	max-height: calc(100% - 50px) !important;
}
.row {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 20px;
}
.column-form {
    display: flex;
    flex-direction: column;
	flex: 1;
	gap: 20px;
}
.column-form .split {
	flex-basis: 100%;
	flex: 1;
}
.double-column {
	display: flex;
	gap: 20px;
	flex-direction: column;
	flex-basis: 100%;
	flex: 2;
}
.is-primary { 
	background-color: var(--primary);
}
.is-secondary { 
	background-color: var(--secondary);
}
.is-secondary-darker { 
	background-color: var(--secondary-darker);
}


.negative-fonts i, .negative-fonts span, .negative-fonts p, .negative-fonts h1, .negative-fonts h2, .negative-fonts h3, .negative-fonts h4, .negative-fonts h5, .negative-fonts h6 {
	color: #ffffff !important;
}
.font-14 i, .font-14 span, .font-14 p {
	font-size: 14px !important;
}
.font-16 i, .font-16 span, .font-16 p {
	font-size: 16px !important;
}
.font-18 i, .font-18 span, .font-18 p {
	font-size: 18px !important;
}
.font-22 i, .font-22 span, .font-22 p {
	font-size: 22px !important;
}

.form-content {
	display: flex;
	flex-direction: column;
	gap: 10px;
	background-color: #fff;
	padding: 25px;
	border-radius: 5px;
	box-shadow: 0px 0px 13px -11px #000;
}

.form-grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 10px 20px;
}

@media (max-width: 480px) {
	.form-grid {
		grid-template-columns: 1fr !important;
	}
}



/* RESET THEME DEVEXPRESS */

.dx-popup-content {
	padding: 0px !important;
	background-color: #efefef !important;
}

.dx-drawer .dx-drawer-panel-content {
	z-index: 1;
	box-shadow: 0 6px 12px rgba(0,0,0,.175)
}
.dx-filemanager-dirs-panel {
	background-color: #fff;
}

.dx-overlay-content.dx-popup-normal {
	background-color: #efefef !important;
}

.dx-overlay-content.dx-popup-normal .dx-toolbar {
	background-color: #ffffff !important;
}
.dx-dialog-message {
	padding: 20px;
}

